Bug Hunting Session
Bug 74402 - Unstable glyph justification
Summary: Unstable glyph justification
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2014-02-02 18:07 UTC by Emir Sarı (away)
Modified: 2017-05-31 10:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment 1 (32.25 KB, image/png)
2014-02-02 18:08 UTC, Emir Sarı (away)
Details
attachment 2 (28.63 KB, image/png)
2014-02-02 18:08 UTC, Emir Sarı (away)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2014-02-02 18:07:37 UTC
Hello,

When text is justified in LibreOffice, Writer tries to adjust character spacing between glyphs, but mostly fails. See attachment 1.

Result is mostly text looking differently from rest of the text with obvious spacing errors. For reference, NeoOffice does not have this problem, see attachment 2 for screenshot. 

This behaviour also causes cursor placement errors, it is visually not possible to see on which character cursor is on with these types of lines.
Comment 1 Emir Sarı (away) 2014-02-02 18:08:13 UTC
Created attachment 93244 [details]
attachment 1
Comment 2 Emir Sarı (away) 2014-02-02 18:08:40 UTC
Created attachment 93245 [details]
attachment 2
Comment 3 Joel Madero 2015-05-02 15:44:10 UTC Comment hidden (obsolete)
Comment 4 Gordo 2015-06-21 15:01:47 UTC
Could not reproduce.

Windows Vista 64
Version: 4.4.4.2
Build ID: f784c932ccfd756d01b70b6bb5e09ff62e1b3285

4.1.6.2

Changed to RESOLVED WORKSFORME.
Comment 5 Khaled Hosny 2015-06-21 15:41:25 UTC
Please test on different platforms before closing text layout-related bugs, we have completely different text layout code on Windows, Linux and Mac.
Comment 6 QA Administrators 2016-09-20 10:11:25 UTC Comment hidden (obsolete)
Comment 7 Khaled Hosny 2016-10-18 22:48:36 UTC
We need a test file here, the font and the text can make a big difference.
Comment 8 QA Administrators 2017-05-02 11:37:12 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-05-31 10:46:35 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170531